﻿using TTprotons.Crm.JavascriptAudit.Common;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.IO;

namespace TTprotons.Crm.JavascriptAudit.Tests
{
    
    
    /// <summary>
    ///This is a test class for ImportExportXmlParserTest and is intended
    ///to contain all ImportExportXmlParserTest Unit Tests
    ///</summary>
    [TestClass()]
    public class ImportExportXmlParserTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for ParseXml
        ///</summary>
        [TestMethod()]
        [DeploymentItem("TTprotons.Crm.JavascriptAudit.dll")]
        public void ParseXmlTest()
        {
            var xml = File.ReadAllText(@"C:\Documents and Settings\Administrator\Desktop\customizations.xml");
            var parser = new ImportExportXmlParser(xml);

            Assert.IsTrue(parser.IsSuccess);
        }
    }
}
