﻿using System.Collections.Generic;
using System.Linq;

namespace TTprotons.Crm.JavascriptAudit.Common
{
    public static class Utils
    {
        public static bool IsNullOrEmpty<T>(this IEnumerable<T> list)
        {
            return list == null || list.Count() == 0;
        }

        public static string Norm(this string theString)
        {
            return string.IsNullOrEmpty(theString) ? string.Empty : theString;
        }
    }
}